#!/bin/sh
# Initialization steps common to all environments

# Install scripts
chmod 500 soundon soundoff soundconf sndconf
rm -f /usr/local/bin/soundon
rm -f /usr/local/bin/soundoff
rm -f /usr/local/bin/soundconf
ln -s `pwd`/soundon /usr/local/bin
ln -s `pwd`/soundoff /usr/local/bin
ln -s `pwd`/soundconf /usr/local/bin
chmod 500 /usr/local/bin/soundon /usr/local/bin/soundoff
rm -f ./*.h README*	# New versions are in subdirectories
ln -s include/sys/*.h .

#Install OSSlib
rm -f /usr/lib/libOSSlib.*
ln -s `pwd`/libOSSlib.* /usr/lib
for n in std.sb std.o3 drums.sb drums.o3
do
  if test ! -e /etc/$n
  then
    cp $n /etc
  fi
done
